Subject: [bug#49412] [PATCH core-updates] gnu: libdrm: Update to 2.4.107.

From: Maxime Devos <[email-masked]>
Date: Tue, 06 Jul 2021 10:24:47 +0200

Kaelyn schreef op ma 05-07-2021 om 15:58 [+0000]:
> [...]
> I'm not familiar with the "--without-tests=" flag and mechanism, but would be happy
> to add a patch for it. I've only recently started using Guix and this is my first
> patch submission (it's a precursor patch from my attempt to update mesa to 21.1.x);
> should I email that patch to [email-masked] to make it part of the same issue?

If you mean the 'when tests?' patch, then I'd send it to [email-masked]
to keep the libdrm patches together (maybe as a v2 patch series).  If you mean
‘updating mesa to 21.1.1x’, then I'd send that patch to [email-masked],
as updating 'mesa' seems much more complicated than only updating 'libdrm'
(see reply by John Kehayias).

There is some documentation in the chapter ‘16 Contributing’ in the manual
on the process (more specifically, the section ‘16.6 Submitting Patches’)
but it doesn't have much advice on when to split patch series ...

Greetings,
Maxime.